Download OpenAPI specification:Download
Theymes API allows you to interact with the Theymes platform.
Most endpoints require an API key for authentication. You can generate an API key in the Theymes dashboard.
The API key should be included in the Authorization header (Authorization: Bearer <YOUR_KEY>).
The public support link endpoints do not require authentication and are grouped separately below.
Get tickets
| playerId | string |
string | |
| gameId | string <uuid> |
| ticketId | string <uuid> |
| createdAfter | string <date> Only return tickets created on or after this date |
| createdBefore | string <date> Only return tickets created on or before this date |
| order | string Default: "asc" Enum: "asc" "desc" Sort by ticket creation order, oldest first or newest first |
| cursor | string Pagination cursor returned from a previous response. Must be used with the same |
| limit | integer [ 1 .. 1000 ] Default: 100 |
| Authorization required | string Bearer token API key |
{- "tickets": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "url": "string",
- "gameId": "3f0eee32-8eac-4668-9b38-e3e5dc21d607",
- "gameEnvironmentId": "5d42bb47-5c61-4837-857c-78065cfad990",
- "theymesPlayerId": "f07c797a-5ed6-4a80-a34d-f79f201130ce",
- "playerId": "string",
- "playerName": "string",
- "email": "string",
- "status": "new",
- "supportSource": "IN_APP",
- "channels": [
- "chat"
], - "language": "en",
- "resolutionType": "resolved",
- "csatScore": 1,
- "csatReview": "string",
- "issueSummary": "string",
- "issueResolution": "string",
- "followUpTicketId": "72ad8b30-c276-443a-a31b-1d607babb285",
- "reopenedFromTicketId": "86ac52a3-ee0f-476b-84cc-1f1ed5243d5f",
- "createdAt": "2019-08-24T14:15:22Z",
- "lastActivityAt": "2019-08-24T14:15:22Z",
- "tags": [
- "string"
], - "fields": {
- "property1": "string",
- "property2": "string"
}, - "metadata": {
- "property1": "string",
- "property2": "string"
}
}
], - "pagination": {
- "cursor": "string"
}
}Create a new ticket. To include attachments, call POST /attachments to obtain upload URLs, upload the files, and pass the returned attachment IDs in the attachments array.
| Authorization required | string Bearer token API key |
| gameId required | string <uuid> |
| message required | string |
| attachments | Array of strings Default: [] List of attachment IDs returned by POST /attachments after the file upload completes. |
| skipDuplicateCheck | boolean Default: false If true, the duplicate ticket check will be skipped. |
| language required | string Enum: "en" "de" "es" "es-AR" "es-MX" "fi" "fil" "fr" "id" "ja" "ko" "ms" "pt" "pt-BR" "ru" "tr" "uk" "vi" "zh" "zh-Hans" "zh-Hant" "ar" "cs" "da" "nl" "el" "hu" "it" "no" "nb" "pl" "ro" "sk" "sv" "th" |
| channels required | Array of strings non-empty Items Value: "email" |
required | object |
{- "gameId": "3f0eee32-8eac-4668-9b38-e3e5dc21d607",
- "message": "string",
- "attachments": [ ],
- "skipDuplicateCheck": false,
- "language": "en",
- "channels": [
- "email"
], - "metadata": {
- "tags": [
- "string"
], - "fields": {
- "property1": "string",
- "property2": "string"
}, - "player": {
- "id": "string",
- "name": "string",
- "email": "user@example.com",
- "tier": 1
}
}
}{- "ticketId": "e3e3e8ea-b02a-4536-85a2-a9c90f4ee74f"
}Generate a pre-signed upload URL for a ticket attachment. Upload the file with an HTTP PUT request to the returned URL, then pass the attachment ID in the POST /tickets request.
| Authorization required | string Bearer token API key |
| gameId required | string <uuid> |
| fileName required | string non-empty |
| fileType required | string Enum: "image/svg+xml" "image/png" "image/jpeg" "image/gif" "application/pdf" "video/mp4" "video/quicktime" "text/plain" "application/zip" "application/vnd.rar" |
| fileSize required | integer ( 0 .. 209715200 ] Size of the file in bytes. Maximum allowed size is 200 MB. |
| playerId | string or null non-empty Optional player identifier to associate with the uploaded attachment. |
{- "gameId": "3f0eee32-8eac-4668-9b38-e3e5dc21d607",
- "fileName": "string",
- "fileType": "image/svg+xml",
- "fileSize": 0,
- "playerId": "string"
}{- "attachmentId": "string",
- "uploadMethod": "PUT",
- "uploadHeaders": {
- "property1": "string",
- "property2": "string"
}, - "uploadExpiresInSeconds": 0
}Perform actions on a ticket such as managing metadata, sending messages, assigning, and closing
| ticketId required | string <uuid> The ID of the ticket to perform actions on |
| Authorization required | string Bearer token API key |
required | Array of addTags (object) or setFields (object) or setOnHold (object) or setPlayerInfo (object) or sendMessage (object) or addPrivateNote (object) or resolveTicket (object) or rejectTicket (object) or assignTicket (object) or unassignTicket (object) or removeTags (object) non-empty | ||||
Array (non-empty) One of
| |||||
{- "actions": [
- {
- "type": "addTags",
- "tagNames": [
- "string"
]
}
]
}{- "success": true
}Get selected ticket events, including message attachments as downloadable attachment IDs.
| ticketId required | string <uuid> The ID of the ticket to fetch events for |
| Authorization required | string Bearer token API key |
{- "events": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "type": "PLAYER_MESSAGE",
- "createdAt": "2019-08-24T14:15:22Z",
- "message": "string",
- "language": "en",
- "attachments": [
- {
- "id": "string"
}
]
}
]
}Get SDK breadcrumbs captured for a ticket.
| ticketId required | string <uuid> The ID of the ticket to fetch breadcrumbs for |
| Authorization required | string Bearer token API key |
{- "breadcrumbs": [
- {
- "message": "string",
- "clientOccurredAt": "2019-08-24T14:15:22Z"
}
], - "clientClockOffsetMs": 0
}Get games for the company associated with the API key
| Authorization required | string Bearer token API key |
{- "games": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "slug": "string",
- "languages": [
- "en"
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}
]
}Get tags for the company associated with the API key
| Authorization required | string Bearer token API key |
{- "tags": [
- {
- "gameId": "3f0eee32-8eac-4668-9b38-e3e5dc21d607",
- "name": "string",
- "description": "string",
- "isAiTag": true,
- "isSkill": true,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}
]
}Get fields for the company associated with the API key
| Authorization required | string Bearer token API key |
{- "fields": [
- {
- "gameId": "3f0eee32-8eac-4668-9b38-e3e5dc21d607",
- "name": "string",
- "description": "string",
- "type": "text",
- "key": "string",
- "isAiField": true
}
]
}Schedule deletion of a player's data. The player will be scheduled to be deleted in 24 hours. The scheduled deletion can be cancelled from the Theymes application if necessary.
| Authorization required | string Bearer token API key |
| theymesPlayerId required | string <uuid> The Theymes Player ID, can be found with the ticket API. |
{- "theymesPlayerId": "f07c797a-5ed6-4a80-a34d-f79f201130ce"
}{- "success": true
}Endpoints for creating web support sessions and links. These require no authentication and are identified by a game environment token.
Create a web support session from metadata passed in the query string and redirect the player to the public web support site with the session code attached (sid). Requires no authentication; the game is identified by its game environment token. Extra player.*, tags, and fields.* query parameters are accepted as session metadata.
| token required | string <uuid> |
| language | string |
| resource | string When provided, the user is taken directly to that resource instead of the support home page. Must match a resource key configured in the Theymes application. |
| signedMetadataToken | string |
Create a web support session from metadata passed in the request body and return the session code together with the full public web support URL that has the session code attached (sid). Requires no authentication; the game is identified by its game environment token.
| token required | string <uuid> |
| language | string |
| resource | string When provided, the user is taken directly to that resource instead of the support home page. Must match a resource key configured in the Theymes application. |
| signedMetadataToken | string |
object | |
| tags | Array of strings |
object |
{- "token": "b5507016-7da2-4777-a161-1e8042a6a377",
- "language": "string",
- "resource": "string",
- "signedMetadataToken": "string",
- "player": {
- "id": "string",
- "name": "string",
- "email": "user@example.com",
- "tier": 1
}, - "tags": [
- "string"
], - "fields": {
- "property1": "string",
- "property2": "string"
}
}{- "sessionCode": "string",
- "url": "string"
}